﻿html, body, form {
  overflow: hidden;
  font-family: Arial, Helvetica, Lucida Grande, Lucida Sans, sans-serif; }

html, body, form, td {
  font-size: 11px; }

.ui-layout-north {
  border-bottom: none !important; }

/*
 * When a panel (west, north, center, ...) is being locked with a modal overlay (see MasterLayout.LockPanel())
 * the panel content can be blurred out or styled otherwise as long as the lock overlay is visible.
 */
.pane.Lock {
  /*opacity: 0.4;
    filter: alpha(opacity=40);*/ }

.PanelLock,
.SpinnerLock,
.ProgressLock,
.progress-lock-container {
  position: absolute !important;
  z-index: 999995;
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0; }

.SpinnerLock {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center; }
  .SpinnerLock > div {
    background-image: url(images/spinner128.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-color: transparent;
    opacity: 0.8;
    width: 128px;
    height: 128px; }
  .SpinnerLock > .text.ui-widget-content.ui-state-default {
    text-align: center;
    font-size: 24px;
    background: none;
    border: none;
    opacity: 0.8; }
  .SpinnerLock.size64 > div {
    background-image: url(images/spinner64.png) !important;
    width: 64px;
    height: 64px; }
  .SpinnerLock.size64 > span.text {
    font-size: 16px; }
  .SpinnerLock.size36 > div {
    background-image: url(images/spinner36.png) !important;
    width: 36px;
    height: 36px; }
  .SpinnerLock.size36 > span.text {
    font-size: 12px; }
  .SpinnerLock.size24 > div > div {
    background-image: url(images/spinner24.png) !important;
    width: 24px;
    height: 24px; }
  .SpinnerLock.size24 > div > span.text {
    font-size: 11px; }
  .SpinnerLock.size16 > div {
    background-image: url(images/spinner16.png) !important;
    width: 16px;
    height: 16px; }
  .SpinnerLock.size16 > span.text {
    font-size: 10px; }

.PanelLock div {
  display: none; }

.PanelLock36 div {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background-image: url(images/spinner36.png);
  background-position: center center;
  background-repeat: no-repeat; }

.SpinnerText16 {
  background-image: url(images/spinnerText16.gif) !important;
  background-repeat: repeat-x !important;
  background-position: left center !important; }

.progress-lock-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center; }
  .progress-lock-container > .ProgressLock-Content {
    width: 400px;
    z-index: 999999; }
    .progress-lock-container > .ProgressLock-Content > div.ui-progressbar {
      height: 20px;
      display: block;
      margin: 5px 5px; }
    .progress-lock-container > .ProgressLock-Content > div.title {
      display: block;
      text-align: center;
      overflow: hidden;
      text-overflow: ellipsis;
      margin: 2px 2px 2px 2px;
      position: relative;
      padding: 0 20px; }
      .progress-lock-container > .ProgressLock-Content > div.title .ui-icon {
        position: absolute;
        right: 2px;
        top: -1px;
        margin-top: 0; }
    .progress-lock-container > .ProgressLock-Content > div.text {
      display: block;
      text-align: center;
      margin: 0px 5px 3px 5px;
      font-size: 1em;
      overflow: hidden;
      text-overflow: ellipsis;
      background: none;
      border: none; }
    .progress-lock-container > .ProgressLock-Content > div.button {
      display: block;
      text-align: center;
      padding: 5px 5px;
      margin-top: 5px;
      border-radius: 0;
      border-left: none;
      border-right: none;
      border-bottom: none; }

.Spinner16 {
  background-image: url(images/spinner16.png); }

.Spinner24 {
  background-image: url(images/spinner24.png); }

.Spinner36 {
  background-image: url(images/spinner36.png); }

.Spinner64 {
  background-image: url(images/spinner64.png); }

#Top_CatalogLogo {
  width: 400px;
  height: 50px;
  background-position: left top;
  background-repeat: no-repeat;
  position: absolute;
  left: 5px;
  top: 5px; }

#Top_CADClickLogo {
  background-image: url(images/CADClickLogo_small.png);
  background-repeat: no-repeat;
  width: 111px;
  height: 30px;
  display: block;
  float: left;
  margin-left: 10px;
  margin-top: 10px; }

#MainMenu h3,
#MainMenu .ui-accordion-content {
  border-radius: 0;
  border: none !important; }

#MainMenu h3 a {
  padding: 0.1em 0.5em 0.1em 1.7em !important; }

.ui-layout-south .VersionInfo {
  display: block;
  position: absolute;
  right: 2px;
  bottom: 2px;
  color: #999999;
  font-size: 9px; }

.Dialog.Spinner {
  background-image: url(images/ajax-loader-16.gif);
  display: block;
  height: 16px;
  line-height: 16px;
  vertical-align: middle;
  background-position: left center;
  background-repeat: no-repeat;
  padding-left: 20px; }

#LoginDialog {
  display: flex;
  flex-direction: column; }
  #LoginDialog label {
    display: block;
    font-size: 10px;
    margin-bottom: 5px; }
  #LoginDialog em {
    display: block;
    height: 10px; }
  #LoginDialog input,
  #LoginDialog label[for='LoginCookie'] {
    font-size: 12px; }
  #LoginDialog input {
    display: block;
    padding: 0.2em;
    background-color: #fff; }
    #LoginDialog input.Username, #LoginDialog input.Password {
      width: 250px; }
  #LoginDialog td.Label {
    padding: 1px;
    white-space: nowrap; }
  #LoginDialog td.Icon {
    background-image: url(images/LoginDialog_Icon.gif);
    background-repeat: no-repeat;
    background-position: left 5px; }
    #LoginDialog td.Icon div {
      width: 50px;
      height: 1px; }
  #LoginDialog #LoginCookie {
    float: left; }
  #LoginDialog .LoginCookiePanel label {
    display: inline-block;
    float: left;
    margin-left: 3px;
    margin-top: 2px; }
  #LoginDialog .ValidateTips {
    display: block;
    margin-bottom: 4px; }
    #LoginDialog .ValidateTips .ui-icon {
      float: left;
      margin-right: .3em;
      margin-left: .2em;
      margin-top: 0; }
    #LoginDialog .ValidateTips .ui-text {
      display: block;
      padding: .1em .2em;
      font-size: .8em; }

button#LoginDialog_ButtonLogin.ui-state-disabled span {
  background-image: url(images/ajax-loader-16.gif);
  background-repeat: no-repeat;
  padding-left: 24px;
  background-position: 2px center; }

@media (max-width: 1700px) {
  html .master-menu {
    display: none; }
  html .master-menu.compact {
    display: block; } }

.master-menu.compact {
  display: none; }

.master-menu {
  position: absolute;
  bottom: 0;
  left: 250px; }
  .master-menu a.Top {
    border-bottom: none; }
    .master-menu a.Top.Top.HOME {
      padding-left: 22px;
      padding-right: 8px; }
      .master-menu a.Top.Top.HOME .ui-icon {
        left: 0.3em;
        width: 16px; }
  .master-menu .fg-button-first {
    -moz-border-radius-topright: 0px;
    -webkit-border-top-right-radius: 0px;
    border-top-right-radius: 0px;
    -moz-border-radius-bottomright: 0px;
    -webkit-border-bottom-right-radius: 0px;
    border-bottom-right-radius: 0px;
    -moz-border-radius-bottomleft: 0px;
    -webkit-border-bottom-left-radius: 0px;
    border-bottom-left-radius: 0px; }
  .master-menu .fg-button-last {
    border-left: none;
    -moz-border-radius-topleft: 0px;
    -webkit-border-top-left-radius: 0px;
    border-top-left-radius: 0px;
    -moz-border-radius-bottomleft: 0px;
    -webkit-border-bottom-left-radius: 0px;
    border-bottom-left-radius: 0px;
    -moz-border-radius-bottomright: 0px;
    -webkit-border-bottom-right-radius: 0px;
    border-bottom-right-radius: 0px; }
  .master-menu .fg-button-center {
    border-left: none;
    -moz-border-radius-topright: 0px;
    -webkit-border-top-right-radius: 0px;
    border-top-right-radius: 0px;
    -moz-border-radius-bottomright: 0px;
    -webkit-border-bottom-right-radius: 0px;
    border-bottom-right-radius: 0px;
    -moz-border-radius-topleft: 0px;
    -webkit-border-top-left-radius: 0px;
    border-top-left-radius: 0px;
    -moz-border-radius-bottomleft: 0px;
    -webkit-border-bottom-left-radius: 0px;
    border-bottom-left-radius: 0px; }

.fg-menu-container.ui-corner-all {
  -moz-border-radius-topleft: 0px !important;
  -webkit-border-top-left-radius: 0px !important;
  border-top-left-radius: 0px !important; }

.fg-menu-container li.Separator {
  border-left: none !important;
  border-right: none !important;
  border-bottom: none !important;
  height: 1px;
  margin-top: 1px;
  background: none !important;
  display: block; }

.fg-menu-container li.Item {
  border: none;
  background: none; }
  .fg-menu-container li.Item a {
    background-position: 2px center;
    background-repeat: no-repeat;
    padding-left: 22px;
    position: relative;
    font-weight: bold !important; }
    .fg-menu-container li.Item a .hk {
      float: right;
      display: block;
      font-size: 9px; }
    .fg-menu-container li.Item a .fa,
    .fg-menu-container li.Item a .far,
    .fg-menu-container li.Item a .fab,
    .fg-menu-container li.Item a .fas {
      width: 16px;
      height: 16px;
      display: block;
      position: absolute;
      left: 2px;
      top: 5px;
      font-size: 12px; }

.fg-menu-container li.Item-compact-header {
  padding: 4px;
  box-sizing: border-box; }

#PageHeader {
  height: 26px;
  line-height: 26px;
  vertical-align: middle;
  padding-left: 5px;
  padding-right: 5px;
  position: absolute;
  left: 250px;
  top: 25px;
  border: none;
  background: none; }
  #PageHeader .ui-icon {
    display: inline-block;
    position: relative; }

.ui-dialog {
  display: flex;
  flex-direction: column;
  overflow: hidden; }
  .ui-dialog > .ui-dialog-content {
    overflow: hidden;
    display: flex; }
  .ui-dialog.message-box-exception {
    max-width: 800px;
    max-height: 500px; }
    .ui-dialog.message-box-exception.MessageBox div.MessageArea > div.MbText {
      white-space: normal;
      overflow: auto;
      word-break: break-word; }
      .ui-dialog.message-box-exception.MessageBox div.MessageArea > div.MbText .Message {
        font-weight: bold;
        display: block; }
      .ui-dialog.message-box-exception.MessageBox div.MessageArea > div.MbText .StackTrace {
        font-size: 0.8em;
        display: block;
        /* When passing ASP.NET error pages remove possible "nowraps" to not screw up the dialog */ }
        .ui-dialog.message-box-exception.MessageBox div.MessageArea > div.MbText .StackTrace pre {
          white-space: normal; }
  .ui-dialog .MessageBox {
    overflow: hidden !important; }
    .ui-dialog .MessageBox div.MessageArea {
      background-image: none;
      padding: 0.2em;
      display: flex;
      flex-direction: row;
      overflow: hidden;
      width: 100%; }
      .ui-dialog .MessageBox div.MessageArea.ui-state-success, .ui-dialog .MessageBox div.MessageArea.ui-state-highlight {
        padding: 5px; }
      .ui-dialog .MessageBox div.MessageArea .MbText {
        vertical-align: top;
        text-align: left;
        flex: 1;
        overflow: auto; }
        .ui-dialog .MessageBox div.MessageArea .MbText .Message {
          padding: 5px;
          border: none; }
      .ui-dialog .MessageBox div.MessageArea .MbIcon {
        vertical-align: top;
        padding-right: 10px;
        margin-left: 5px; }
        .ui-dialog .MessageBox div.MessageArea .MbIcon div {
          background-image: url(images/messageBoxIcons.png);
          width: 32px;
          height: 32px;
          background-repeat: no-repeat; }
          .ui-dialog .MessageBox div.MessageArea .MbIcon div.None {
            background-image: none;
            width: 0;
            height: 0; }
          .ui-dialog .MessageBox div.MessageArea .MbIcon div.Info {
            background-position: 0px -40px; }
          .ui-dialog .MessageBox div.MessageArea .MbIcon div.Question {
            background-position: 0px 0px; }
          .ui-dialog .MessageBox div.MessageArea .MbIcon div.Warn {
            background-position: 0px -80px; }
          .ui-dialog .MessageBox div.MessageArea .MbIcon div.Error {
            background-position: 0px -120px; }
          .ui-dialog .MessageBox div.MessageArea .MbIcon div.Success {
            background-position: 0px -160px; }

#LoginPanel {
  position: absolute;
  bottom: 0;
  right: 0;
  border-right: none;
  border-bottom: none;
  padding: 4px; }
  #LoginPanel .Username {
    font-weight: bold;
    color: #AAAAAA; }
  #LoginPanel > div.sel {
    display: block;
    float: left;
    margin-left: 3px;
    margin-right: 3px; }
    #LoginPanel > div.sel .title {
      display: block;
      border: none;
      background: none; }
  #LoginPanel .ui-selectmenu-button {
    overflow: visible; }
  #LoginPanel .ui-selectmenu-text {
    white-space: nowrap; }

#Taskbar {
  height: 35px; }
  #Taskbar .ui-state-disabled {
    opacity: 0.75;
    filter: Alpha(Opacity=75); }
  #Taskbar .ui-state-disabled:hover {
    opacity: 0.95;
    filter: Alpha(Opacity=95); }

DIV.shortcut SPAN.key {
  display: inline-block;
  opacity: 0.7;
  filter: Alpha(Opacity=70);
  padding: 0.1em 0.5em;
  font-size: 9px;
  color: #666666;
  min-width: 10px;
  text-align: center;
  background-color: #DDDDDD;
  background: -moz-linear-gradient(top, #ffffff 0%, #f1f1f1 50%, #e1e1e1 51%, #f6f6f6 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ffffff), color-stop(50%, #f1f1f1), color-stop(51%, #e1e1e1), color-stop(100%, #f6f6f6));
  background: -webkit-linear-gradient(top, #ffffff 0%, #f1f1f1 50%, #e1e1e1 51%, #f6f6f6 100%);
  background: -o-linear-gradient(top, #ffffff 0%, #f1f1f1 50%, #e1e1e1 51%, #f6f6f6 100%);
  background: -ms-linear-gradient(top, #ffffff 0%, #f1f1f1 50%, #e1e1e1 51%, #f6f6f6 100%);
  background: linear-gradient(top, #ffffff 0%, #f1f1f1 50%, #e1e1e1 51%, #f6f6f6 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#f6f6f6',GradientType=0 ); }

DIV.shortcut SPAN.sep {
  padding: 0.1em 0.1em;
  cursor: default;
  font-size: 9px;
  color: #666666;
  text-align: center; }

.ui-accordion-header.ui-state-active DIV.shortcut {
  opacity: 0.3;
  filter: Alpha(Opacity=30); }

DIV.shortcut.accordion {
  position: absolute;
  right: 0.5em;
  top: 0.4em; }

DIV.shortcut.tab {
  position: absolute;
  right: 0.5em;
  top: 0.4em; }

.MasterToolbar {
  padding: 2px 2px;
  margin-bottom: 5px;
  height: 24px; }

.MasterToolbar .tbtext {
  vertical-align: middle;
  line-height: 24px; }

.MasterToolbar .ui-selectmenu-button {
  float: left;
  height: auto;
  padding: 0.1em; }

.MasterToolbar BUTTON,
.MasterToolbar .ui-buttonset {
  display: block;
  float: left;
  margin-left: 0.2em;
  margin-right: 0.2em; }

.MasterToolbar .ui-buttonset {
  position: relative; }

.MasterToolbar .ControlGroup {
  display: block;
  float: left; }

.MasterToolbar BUTTON {
  padding: 0.2em 0.5em; }

.MasterToolbar .Separator {
  width: 0px;
  margin: 0px 5px;
  display: block;
  float: left;
  position: relative;
  height: 21px; }

.MasterToolbar .Separator.SepControlGroups {
  margin-left: 8px; }

.SectionEditor .SectionList {
  width: 500px;
  float: left; }

.SectionEditor H4 {
  border: none;
  padding: 2px 5px 2px 5px; }

.SectionEditor .SectionList UL {
  padding: 2px 1px 2px 1px; }

.SectionEditor UL.Container.ui-state-highlight {
  border: none; }

.SectionEditor .Container .Spacer {
  height: 1px;
  margin-top: 2px;
  margin-bottom: 2px;
  border-left: none;
  border-right: none;
  border-bottom: none;
  display: block;
  width: 495px;
  float: left; }

.SectionEditor .Container LI.SectionItem {
  margin: 1px 2px 1px 2px;
  padding: 0;
  height: 20px;
  float: left;
  display: block;
  width: 492px; }

.SectionEditor .Container LI.SectionItem SPAN {
  font-weight: normal; }

.SectionEditor .Container LI.SectionItem.Current SPAN {
  font-weight: bold !important; }

.SectionEditor .Container LI.SectionItem SPAN.SectionName {
  width: 310px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis; }

.SectionEditor .Container LI.SectionItem SPAN.SectionName,
.SectionEditor .Container LI.SectionItem SPAN.DragHandle {
  float: left;
  display: block;
  height: 20px;
  line-height: 20px;
  vertical-align: middle;
  cursor: default; }

.SectionEditor .Container LI.SectionItem SELECT.Status {
  float: right;
  margin-right: 10px;
  margin-top: 1px;
  font-size: 9px;
  font-weight: normal; }

.SectionEditor .ui-selectmenu-button {
  font-size: 0.75em;
  height: 1.4em;
  float: right;
  margin-left: 5px;
  margin-right: 10px;
  margin-top: 1px; }

.SectionEditor .ui-selectmenu-button .ui-selectmenu-text {
  height: 1.4em;
  font-size: 0.75em;
  margin-top: -1px; }

.SectionEditor .ui-selectmenu-text .ui-icon,
.SectionEditor .ui-selectmenu-menu li .ui-icon {
  top: 0.85em; }

.SectionEditor .ui-selectmenu-menu LI A {
  font-size: 0.75em;
  padding: 0.15em 0.5em; }

.SectionEditor .Container LI.SectionItem SPAN.InvWarn {
  float: right;
  margin-right: 4px;
  margin-top: 2px;
  border: none;
  display: block;
  background: none;
  visibility: hidden; }

.SectionItem_Tooltip_InvWarn {
  padding: 0.2em 0.4em !important; }

.SectionEditor .Container LI.SectionItem SPAN.InvWarn.Show {
  visibility: visible; }

.SectionEditor .Container LI.SectionItem SPAN.InvWarn SPAN {
  display: block; }

.SectionEditor .Container LI.SectionItem SPAN.Enable {
  float: right;
  margin-right: 4px;
  margin-top: 1px; }

.AttributeEditor .ui-tri-ck {
  display: block;
  margin-left: auto;
  margin-right: auto; }

.SiToolbar {
  border-left: none !important;
  border-right: none !important;
  border-top: none !important;
  padding-right: 3px;
  overflow: hidden; }

.SiToolbar .Grip {
  margin-top: 4px;
  width: 10px;
  float: left;
  margin-right: 2px;
  margin-left: -3px; }

.SiToolbar BUTTON,
.SiToolbar LABEL.ui-button {
  display: block;
  float: left;
  margin: 2px;
  padding: 0.1em 0.5em; }

.SiToolbar BUTTON.ui-button.ui-button-icon-only,
.SiToolbar LABEL.ui-button.ui-button-icon-only {
  display: block;
  float: left;
  margin: 2px;
  width: 1.7em;
  padding: 0.1em; }

.SiToolbar BUTTON.ui-button.ui-button-icon-only .ui-icon,
.SiToolbar LABEL.ui-button.ui-button-icon-only .ui-icon {
  left: 50%;
  top: 45%; }

.SiToolbar BUTTON.ui-button-text-icon-primary,
.SiToolbar LABEL.ui-button-text-icon-primary {
  display: block;
  float: left;
  margin: 2px; }

.SiToolbar BUTTON.ui-button.ui-button-text-icon-primary .ui-icon,
.SiToolbar LABEL.ui-button.ui-button-text-icon-primary .ui-icon {
  left: 0.1em;
  top: 45%; }

.SiToolbar BUTTON.ui-button.ui-button-text-icon-primary,
.SiToolbar LABEL.ui-button.ui-button-text-icon-primary {
  padding: 0.1em 0.4em 0.1em 1.5em; }

.SiToolbar .ui-selectmenu {
  height: 1.5em;
  margin-left: 2px;
  margin: 2px; }

.SiToolbar .ui-selectmenu .ui-selectmenu-status {
  line-height: normal;
  white-space: nowrap;
  padding: 0.15em 0.6em 0.1em 0.8em; }

tr.artstat_0 td {
  opacity: 0.45; }

tr.artstat_99 td {
  opacity: 0.45;
  text-decoration: line-through; }

tr.artstat td.jqgrid-rownum {
  opacity: 1.0;
  text-decoration: none; }

tr.artstat td[aria-describedby='ArticleGrid_ArticleStatus'] {
  text-decoration: none; }

tr.artstat td[aria-describedby='ArticleGrid_EditButtons'] {
  opacity: 1.0; }

tr.artstat_99 td A.RowEditButton {
  display: none; }

tr.artstat_99 TD A.RowEditButton.untrash,
tr.artstat_99 TD A.RowEditButton.delete {
  display: inline-block; }

/* BEGIN: Filter Toolbar */
.ui-selectmenu-button.filterselect SPAN.ui-selectmenu-text {
  font-size: 0.8em;
  padding: 0.25em 2.5em 0.25em 0.5em;
  height: 1.5em;
  line-height: normal;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis; }

.ui-selectmenu-menu UL.filterselect LI {
  font-size: 0.8em; }

.ui-selectmenu-button.filterselect {
  max-width: 150px;
  float: left;
  height: 1.5em;
  margin: 2px;
  padding: 0; }

.filtertoolbar button.ui-button.ui-button-icon-only {
  display: block;
  float: left;
  margin: 2px;
  width: 1.7em;
  height: 1.7em;
  padding: 0.1em; }
  .filtertoolbar button.ui-button.ui-button-icon-only .ui-icon {
    left: 50%;
    top: 45%; }
  .filtertoolbar button.ui-button.ui-button-icon-only .ui-button-text {
    padding: 0.1em; }

/* END: Filter Toolbar */
.DlgSectionCultureSelector > span {
  display: block;
  text-align: left;
  margin-bottom: 5px;
  font-weight: bold; }

.DlgSectionCultureSelector #SectionCultureSelector {
  float: left !important; }

.sysinfo .MessageArea {
  border: none !important;
  background: none !important;
  padding: 0 !important; }

.sysinfo li {
  font-weight: normal; }

.page-locked {
  text-align: left;
  padding: 0.4em; }

.page-locked .reason {
  margin: 0.4em 0; }

.master #TopMessageHint {
  color: red;
  font-size: 16px;
  font-weight: bold;
  position: fixed;
  right: 15px;
  top: 8px; }

.ProductgroupImportDialog .Uploader-view .info .require-complete-import {
  display: none; }

body.DEMO_CAD_DE .ProductgroupImportDialog .Uploader-view .info .require-complete-import {
  display: block; }

/*
    Split buttons require the folling HTML DOM layout:

    <button class="split-button" type="button">
        My button text
        <div class="ui-widget-content ui-corner-all">
            <div class="ui-icon ui-icon-triangle-1-s"></div>
        </div>
    </button>
*/
button.split-button {
  display: flex;
  flex-direction: row;
  align-items: center;
  position: relative;
  padding-right: 25px; }
  button.split-button > .ui-button-icon {
    margin-right: 5px; }
  button.split-button > div {
    width: 16px;
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: none;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-right: none;
    border-top: none;
    border-bottom: none; }
    button.split-button > div > div {
      margin-top: 1px; }

.catalog-selector-menu > ul.ui-menu {
  /* flex layout is required for changing sort order */
  display: flex;
  flex-direction: column; }
  .catalog-selector-menu > ul.ui-menu > li > div {
    position: relative;
    display: flex;
    flex-direction: row;
    padding: 2px 0; }
    .catalog-selector-menu > ul.ui-menu > li > div > img {
      width: 16px;
      height: 16px;
      order: 1;
      margin-left: 5px;
      margin-right: 4px; }
    .catalog-selector-menu > ul.ui-menu > li > div > em {
      width: 25px;
      margin-left: 4px;
      text-align: right;
      margin-right: 5px;
      order: 2; }
      .catalog-selector-menu > ul.ui-menu > li > div > em:after {
        content: " -"; }
    .catalog-selector-menu > ul.ui-menu > li > div > span {
      flex: 1;
      order: 3;
      margin-right: 5px; }
  .catalog-selector-menu > ul.ui-menu > li[catalog-id='-1'] em {
    text-indent: 9999px; }

.catalog-selector-menu > div.ui-selectmenu-search-search > div.sort {
  display: flex;
  flex-direction: row;
  border-left: none;
  border-right: none;
  border-bottom: none;
  justify-content: flex-end;
  background: none;
  padding: 0;
  margin: 0;
  border-radius: 0;
  margin-top: 5px; }
  .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort > button {
    padding: 0;
    margin: 0;
    border-radius: 0;
    border-top: none;
    border-bottom: none;
    border-right: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center; }
    .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort > button > span.ui-icon {
      position: relative;
      top: unset;
      left: unset;
      margin: unset; }
      .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort > button > span.ui-icon.asc {
        left: 4px; }
      .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort > button > span.ui-icon.desc {
        left: -4px; }
  .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort.asc > button > .asc {
    opacity: 1.0; }
  .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort.asc > button > .desc {
    opacity: 0.35; }
  .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort.desc > button > .asc {
    opacity: 0.35; }
  .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort.desc > button > .desc {
    opacity: 1.0; }
  .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort.id > button[field='name'] > .asc, .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort.id > button[field='name'] .desc {
    opacity: 0.35; }
  .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort.name > button[field='id'] > .asc, .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort.name > button[field='id'] .desc {
    opacity: 0.35; }
  .catalog-selector-menu > div.ui-selectmenu-search-search > div.sort > div {
    flex: 1;
    border: none; }
